<mat-card class="mat-elevation-z0">
  <div class="homeless-review-small-box mat-elevation-z4" fxLayout="column">
    <div class="homeless-review-container mat-elevation-z4">
      <form [formGroup]="homelessResidentialTreatmentFormGroup" class="section">
        <div fxLayout="column" flex>
          <div fxLayout="row">
            <div fxFlex="70" class="col1header"><span fxFlex="100">Residential Treatment & Institutional
                History Questions</span>
            </div>
            <div fxFlex="30" class="col2header"><span fxFlex="100">Review Response</span></div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Is the applicant currently incarcerated, including participating in an ATI?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="incarceratedCtrl" (change)="onIncarceratedChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.incarceratedSource === 679 ? 'Application'
                  : residentialTreatmentHistory.incarceratedSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Is the applicant currently psychiatrically hospitalized (Non State PC)?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="psychiatricallyHospitalizedCtrl"
                (change)="onPsychiatricallyHospitalizedChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.psychiatricallyHospitalizedSource === 679 ? 'Application' 
                  : residentialTreatmentHistory.psychiatricallyHospitalizedSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Is the applicant presently living in a NYS-operated psychiatric center or transitional
                residence?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="currentlyInNYSPsychiatricCenterCtrl" disabled>
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.currentlyInNYSPsychiatricCenterSource ===
                  679 ? 'Application' : residentialTreatmentHistory.currentlyInNYSPsychiatricCenterSource === 680 ?
                  'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 672">
            <div fxFlex="70" class="col1 required-label-color">
              <span>
                Does the applicant have a history of treatment in a NYS-licensed RTF/State psychiatric facility within
                the last two years?
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="historyOfTreatmentInNYSRTFStatePFCtrl"
                (change)="onHistoryOfTreatmentInNYSRTFStatePFChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.historyOfTreatmentInNYSRTFStatePFSource
                  === 679 ? 'Application' : residentialTreatmentHistory.historyOfTreatmentInNYSRTFStatePFSource === 680
                  ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Is the applicant currently receiving treatment at a SUD Inpatient Rehab, SUD Residential
                (Intensive Community & Supportive Living Type), or Addiction Treatment Center?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="receivingSUDTreatmentCtrl"
                (change)="onReceivingSUDTreatmentChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.receivingSUDTreatmentSource === 679 ?
                  'Application' : residentialTreatmentHistory.receivingSUDTreatmentSource === 680 ? 'Reviewer' : '' : ''
                  }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 672 || clientCategory === 674 || clientCategory === 676">
            <div fxFlex="70" class="col1 required-label-color">
              <span>
                Is the applicant leaving foster care (FC) or recently left FC (within the past 24 months) or been in FC
                for more than a year after his/her 16th birthday?
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="leavingFosterCareCtrl" (change)="onLeavingFosterCareChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.leavingFosterCareSource === 679 ?
                  'Application' : residentialTreatmentHistory.leavingFosterCareSource === 680 ? 'Reviewer' : '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 672 || clientCategory === 676">
            <div fxFlex="70" class="col1 required-label-color">
              <span>
                Has the applicant been in FC within the last 5 years at the age of 16 or older?
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="inFCfor5YearsAfterAge16Ctrl"
                (change)="onInFCfor5YearsAfterAge16Change($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.inFCfor5YearsAfterAge16Source === 679 ?
                  'Application' : residentialTreatmentHistory.inFCfor5YearsAfterAge16Source === 680 ? 'Reviewer' : '' :
                  '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 672">
            <div fxFlex="70" class="col1 required-label-color">
              <span>
                Is the YA applicant (18-25) currently incarcerated, in a juvenile detention facility or alternative to
                incarceration program?
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="yaCurrentlyIncarceratedCtrl"
                (change)="onYACurrentlyIncarceratedChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.yaCurrentlyIncarceratedSource === 679 ? 
                    'Application' : residentialTreatmentHistory.yaCurrentlyIncarceratedSource === 680 ? 'Reviewer' : '' : '' 
                  }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 671 || clientCategory === 672">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Is the applicant currently residing in a CR/SRO or Apartment Treatment Program?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="inCRSROAPTTreatmentProgramCtrl"
                (change)="onInCRSROAPTTreatmentProgramChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.inCRSROAPTTreatmentProgramSource === 679 ?
                'Application' : residentialTreatmentHistory.inCRSROAPTTreatmentProgramSource === 680 ? 'Reviewer' : '' :
                '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Is the applicant currently in a Skilled Nursing Facility?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="inSkilledNursingFacilityCtrl"
                (change)="onInSkilledNursingFacilityChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.inSkilledNursingFacilitySource === 679 ?
                'Application' : residentialTreatmentHistory.inSkilledNursingFacilitySource === 680 ? 'Reviewer' : '' :
                '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategory === 672">
            <div fxFlex="70" class="col1 required-label-color">
              <span>
                Is the applicant currently living in a Children’s Community Center?
              </span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="inChildrensCommunityResidenceCtrl"
                (change)="onInChildrensCommunityResidenceChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.inChildrensCommunityResidenceSource === 679
                ? 'Application' : residentialTreatmentHistory.inChildrensCommunityResidenceSource === 680 ? 'Reviewer' :
                '' : '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Upon discharge can the applicant return to his/her prior residence?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="canReturnToPriorResidenceCtrl" disabled>
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.canReturnToPriorResidenceSource === 679 ?
                'Application' : residentialTreatmentHistory.canReturnToPriorResidenceSource === 680 ? 'Reviewer' : '' :
                '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Does the applicant require supportive services/housing to prevent her/him from becoming
                homeless?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="requiresSupportiveServicesCtrl" disabled>
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.requiresSupportiveServicesSource === 679 ?
                'Application' : residentialTreatmentHistory.requiresSupportiveServicesSource === 680 ? 'Reviewer' : '' :
                '' }}
                </div>
              </mat-radio-group>
            </div>
          </div>
          <div fxLayout="row" fxLayoutGap="0px"
            *ngIf="clientCategory === 671 || clientCategory === 672 || clientCategory === 673 || clientCategory === 674">
            <div fxFlex="70" class="col1 required-label-color">
              <span>Does the applicant appear to be at risk of homelessness?</span>
            </div>
            <div fxFlex="30" class="col2">
              <mat-radio-group formControlName="appearsRiskOfHomelessCtrl"
                (change)="onAppearsRiskOfHomelessChange($event)">
                <div class="radio-button-space">
                  <mat-radio-button value="Y">Yes
                  </mat-radio-button>
                </div>
                &nbsp;
                <div class="radio-button-space">
                  <mat-radio-button value="N">No
                  </mat-radio-button>
                </div>
                &nbsp; &nbsp; &nbsp;
                <div class="radio-button-space">
                  {{ residentialTreatmentHistory ? residentialTreatmentHistory.appearsRiskOfHomelessSource === 679 ?
                'Application' : residentialTreatmentHistory.appearsRiskOfHomelessSource === 680 ? 'Reviewer' : '' : ''
                }}
                </div>
              </mat-radio-group>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</mat-card>
<div class="homeless-bottom-main">
  <div class="homeless-bottom-sub">
    <div class="homeless-bottom-sub-button-parent-left">
      <button type="button" mat-raised-button color="primary" (click)="saveResidentialTreatmentHistoryData()"
        matTooltip="Save" matTooltipClass="pact-tooltip">Save</button>
    </div>
    <div class="homeless-bottom-sub-button-parent-right">
      <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
        matTooltipClass="pact-tooltip">Previous</button>
      &nbsp;&nbsp;
      <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
        matTooltipClass="pact-tooltip">Next</button>
    </div>
  </div>
</div>